> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send template

> Send template to a client



## OpenAPI

````yaml /api-reference/documents/openapi.json post /proposals/templates/send
openapi: 3.0.0
info:
  title: Documents and Contracts API
  description: Documentation for Documents and Contracts API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: documents
    description: Documentation for Documents and Contracts API
  - name: contracts
    description: Documentation for Documents and Contracts API
  - name: proposals
    description: Documentation for Documents and Contracts API
paths:
  /proposals/templates/send:
    post:
      tags:
        - Templates
      summary: Send template
      description: Send template to a client
      operationId: send-documents-contracts-template
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
            example: Bearer 9c48df2694a849b6089f9d0d3513efe
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendDocumentFromPublicApiBodyDto'
      responses:
        '200':
          description: Document sent successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendTemplateResponseDto'
        '400':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
      security:
        - bearer: []
        - bearer: []
components:
  schemas:
    SendDocumentFromPublicApiBodyDto:
      type: object
      properties:
        templateId:
          type: string
          description: Template Id
          example: hTlkh7t8gujsahgg93
        userId:
          type: string
          description: User Id
          example: hTlkh7t8gujsahgg93
        sendDocument:
          type: boolean
          description: Send Document
          example: true
        locationId:
          type: string
          description: Location Id
          example: hTlkh7t8gujsahgg93
        contactId:
          type: string
          description: Contact Id
          example: hTlkh7t8gujsahgg93
        opportunityId:
          type: string
          description: Opportunity Id
          example: hTlkh7t8gujsahgg93
      required:
        - templateId
        - userId
        - locationId
        - contactId
    SendTemplateResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: Success status
          example: true
        links:
          description: Links for all recipients
          type: array
          items:
            $ref: '#/components/schemas/ProposalEstimateLinksDto'
      required:
        - success
        - links
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    ProposalEstimateLinksDto:
      type: object
      properties:
        referenceId:
          type: string
          description: Reference ID
          example: 550e8400-e29b-41d4-a716-446655440000
        documentId:
          type: string
          description: Document ID
          example: c1e87a91-93b2-4b78-821f-85cf0e1f925b
        recipientId:
          type: string
          description: Recipient ID
          example: u240JcS0E5qE0ziHnwMm
        entityName:
          type: string
          enum:
            - contacts
            - users
          description: Entity name that the recipient belongs to
          example: contacts
        recipientCategory:
          type: string
          enum:
            - recipient
            - cc
            - bcc
          description: Recipient category (recipient, cc, or bcc)
          example: recipient
        documentRevision:
          type: number
          description: Document revision number
          example: 1
        createdBy:
          type: string
          description: Created by user ID
          example: b6d8fa28-1112-4dc7-b9d2-f22b75a477ea
        deleted:
          type: boolean
          description: Whether the document is deleted
          example: false
      required:
        - referenceId
        - documentId
        - recipientId
        - entityName
        - recipientCategory
        - documentRevision
        - createdBy
        - deleted
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access Token or Private Integration Token

````